/*
  Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration
*/

#ifndef ATHVIEWS_ATHVIEWS_VIEWMERGEALG_H
#define ATHVIEWS_ATHVIEWS_VIEWMERGEALG_H 1

// STL includes
#include <string>
#include <vector>

// FrameWork includes
#include "AthenaBaseComps/AthAlgorithm.h"
#include "StoreGate/ReadHandleKey.h"
#include "StoreGate/WriteHandleKey.h"
#include "AthViews/View.h"

namespace AthViews {

class ViewMergeAlg
  : public ::AthAlgorithm
{ 

  /////////////////////////////////////////////////////////////////// 
  // Public methods: 
  /////////////////////////////////////////////////////////////////// 
 public: 

  // Copy constructor: 

  /// Constructor with parameters: 
  ViewMergeAlg( const std::string& name, ISvcLocator* pSvcLocator );

  /// Destructor: 
  virtual ~ViewMergeAlg(); 

  // Athena algorithm's Hooks
  virtual StatusCode  initialize();
  virtual StatusCode  execute();
  virtual StatusCode  finalize();

 private: 

  /// Default constructor: 
  ViewMergeAlg();

  
  // vars
  SG::WriteHandleKey< std::vector<int> > m_w_ints{ this, "MergedInts", "mergedOutput", "Data flow of ints" };
  SG::ReadHandleKey< std::vector<int> > m_r_ints; //This is not guaranteed to be created, so can't be declared
  SG::ReadHandleKey< ViewContainer > m_r_views{ this, "AllViews", "all_views", "All views" };
}; 
} //> end namespace AthViews
#endif //> !ATHVIEWS_ATHVIEWS_VIEWMERGEALG_H
