///////////////////////// -*- C++ -*- /////////////////////////////

/*
  Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration
*/

// AthMessaging.cxx 
// Implementation file for class AthMessaging
// Author: S.Binet<binet@cern.ch>
/////////////////////////////////////////////////////////////////// 

// AthenaBaseComps includes
#include "AthenaBaseComps/AthMessaging.h"

// STL includes



/////////////////////////////////////////////////////////////////// 
// Public methods: 
/////////////////////////////////////////////////////////////////// 

// Constructors
////////////////

/// Constructor with parameters: 
AthMessaging::AthMessaging (IMessageSvc* msgSvc, 
			    const std::string& name) :
  m_imsg(msgSvc), m_nm(name)
{
  MsgStream ms (msgSvc, name);
  m_lvl = ms.level();
}

// Destructor
///////////////
AthMessaging::~AthMessaging()
{}

/////////////////////////////////////////////////////////////////// 
// Const methods: 
///////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////// 
// Non-const methods: 
/////////////////////////////////////////////////////////////////// 

void AthMessaging::setLevel (MSG::Level lvl)
{
  m_lvl = lvl;
}

/////////////////////////////////////////////////////////////////// 
// Protected methods: 
/////////////////////////////////////////////////////////////////// 


